Summary:	C++ implementation of 3mf loading with SIP Python bindings
Summary(pl.UTF-8):	Implementacja C++ ładowania 3mf w wiązaniami Pythona SIP
Name:		libSavitar
# keep in sync with CuraEngine, cura, libArgus, python3-Uranium
Version:	4.13.2
Release:	4
License:	AGPL v3+
Group:		Libraries
#Source0Download: https://github.com/Ultimaker/libSavitar/tags
Source0:	https://github.com/Ultimaker/libSavitar/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	25e943379dbe7f3fc0e6ca55318ab1b0
Patch0:		no-pugixml.patch
Patch1:		system-pugixml.patch
URL:		https://github.com/Ultimaker/libSavitar
BuildRequires:	cmake >= 3.8
# C++17
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	pugixml-devel
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-sip-devel
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	sip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Savitar is a C++ implementation of 3mf loading with SIP Python
bindings. 3mf is a 3D printing file format.

%description -l pl.UTF-8
Savitar to zaimplementowane w C++ ładowanie formatu 3mf z wiązaniami
Pythona SIP. 3mf to format plików do wydruków 3D.

%package devel
Summary:	Development files for libSavitar
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libSavitar
# The cmake scripts are BSD
License:	AGPL v3+ and BSD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:7

%description devel
Savitar is a C++ implementation of 3mf loading with SIP Python
bindings. 3mf is a 3D printing file format.

Development files.

%description devel -l pl.UTF-8
Savitar to zaimplementowane w C++ ładowanie formatu 3mf z wiązaniami
Pythona SIP. 3mf to format plików do wydruków 3D.

Ten pakiet zawiera pliki programistyczne.

%package -n python3-savitar
Summary:	Python 3 libSavitar bindings
Summary(pl.UTF-8):	Wiązania Pythona 3 do biblioteki libSavitar
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python3-savitar
Savitar is a C++ implementation of 3mf loading with SIP Python
bindings. 3mf is a 3D printing file format.

The Python bindings.

%description -n python3-savitar -l pl.UTF-8
Savitar to zaimplementowane w C++ ładowanie formatu 3mf z wiązaniami
Pythona SIP. 3mf to format plików do wydruków 3D.

Ten pakiet zawiera wiązania Pythona.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1

%build
mkdir build
cd build
%cmake .. \
	-DCMAKE_SKIP_RPATH:BOOL=ON
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_libdir}/libSavitar.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSavitar.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSavitar.so
%{_includedir}/Savitar
%{_libdir}/cmake/Savitar

%files -n python3-savitar
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{py3_sitedir}/Savitar.so
%changelog
* Sun May 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libSavitar.git;a=log;h=master

* Sun May 11 2025 Jan Rękorajski <baggins@pld-linux.org> 90480a7
- Release 4 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> c1a0d13
- Release 3 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 471cc15
- use patch -P

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 8cbcae5
- python 3.13 rebuild

* Fri Sep 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 455869a
- updated to 4.13.2

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 4a59f83
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 4113fa9
- rebuild with separate debuginfo build-ids

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 163d847
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 4bc741c
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Nov 04 2018 Jan Rękorajski <baggins@pld-linux.org> c79a5a6
- up to 2.7.0

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5dd0c5e
- rel 2

* Sun May 14 2017 Jan Rękorajski <baggins@pld-linux.org> 70f5ef4
- fix macro use

* Sun May 14 2017 Jan Rękorajski <baggins@pld-linux.org> be0e732
- fix macros

* Sun May 14 2017 Jan Rękorajski <baggins@pld-linux.org> e332c08
- new

